DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# GlobalBoundaryConditionGet

Get global Boundary Conditions

## SYNOPSIS

`#include "dip_globals.h"`

dip_Error dip_GlobalBoundaryConditionGet ( boundary, size, resources )

## FUNCTION

This function allocates the boundary array `array` of size `size` with the global default boundary conditions for each dimension of the image. The initial values of this global array is `DIP_BC_SYMMETRIC_MIRROR`.

## ARGUMENTS

Data type | Name | Description
`dip_BoundaryArray *` | `boundary` | Pointer to Boundary conditions
`dip_int` | `size` | Size of the new array
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

Boundary conditions

`GlobalBoundaryConditionSet`, `GlobalGaussianTruncationGet`, `GlobalGaussianTruncationSet`, `GlobalFilterShapeGet`, `GlobalFilterShapeSet`